Subject: [Fwd: Re: [mobile-ip] Proposals for resolution of Issue #94]

From: "Charles E. Perkins" <[email-masked]>
Date: Mon, 28 Oct 2002 14:20:06 -0800

Hello Gabriel,

I've been thinking about your suggestion to clarify
the use of site-local addresses with routing headers.

I wrote:

>>         .............                 The question is
>> whether a mobile node with only a site-local address is allowed
>> to roam to a new site and get a global care-of address.  The
>> tunneling might still work.

You wrote:

> Hmm... doesn't seem like this tunneling is allowed to work.
>  From draft-ietf-ipngwg-scoping-arch-04.txt:
> 
> "   A node that receives a packet addressed to itself and containing a
>     Routing Header with more than zero Segments Left [RFC 2460, section
>     4.4] first checks the scope of the next address in the Routing Header.
>     If the scope of the next address is smaller than the scope of the
>     original destination address, the node MUST discard the packet.
                       ..............

> The spirit of the above would apply as well to type 2 routing headers (because
> SegmentsLeft == 1).
> 
> Perhaps we should explicitly clarify that this rule applies
> to type 2 routing headers as well.

I have composed the following text for inclusion in
the "Type 2 Routing Header" section:

                                            ........ Furthermore,
    if the scope of the home address is smaller than the scope of the
    care-of address, the mobile node MUST discard the packet 
    (see section~\ref{addressability}).

However I'm not very sure about this.  It precludes getting a global
care-of address from a subnet in the same site as the site-local domain.

If the text is included (as it is now, provisionally), should we
cite draft-ietf-ipngwg-scoping-arch-04.txt?  Can we do that
as an "example" Internet Draft (i.e., not normative)?

Regards,
Charlie P.

---

From: Jari Arkko <[email-masked]>
Date: Tue, 29 Oct 2002 00:43:02 +0200

> care-of address from a subnet in the same site as the site-local domain.

It does seem to prevent that. On the other hand our intention was
to prevent movements between sites if site-local home addresses
are used, anyway. The above is rule prevents at least communications
from another site if the home address is a site-local. It also
prevents communications within the same site, if one part of the
site has global addresses. But this didn't appear to be a requirement
either, and our approach appears in-line with what is being
discussed on the IPv6 list.

So lets keep this rule. As long as disconnected islands of site-local IPv6
can still use MIPv6 we're fine.

> as an "example" Internet Draft (i.e., not normative)?

I'm not sure we need a reference at all. I think scope size
is clear, or?

Jari